GETENV(3)

NAME
getenv, environ - look up environment variable

SYNOPSIS

#include <stdlib.h>

char *getenv(const char *name);

DESCRIPTION

getenv searches the list of environment variable names and values (using the global pointer ``char **environ'') for a variable whose name matches the string at name. If a variable name matches, getenv returns a pointer to the associated value.

RETURNS

A pointer to the (string) value of the environment variable, or NULL if there is no such environment variable.

PORTABILITY

getenv is ANSI, but the rules for properly forming names of environment variables vary from one system to another.

getenv requires a global pointer environ.